/*
 * IRC.h
 * General header file for the IRC API.
 *
 * Copyright (c) 1998 21st Century Software, New York City.
 *
 * See the file Reference/License.rtf for information on usage and
 * redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * Written by David Young <dwy@ace.net>, 1998.
 */

/* Dependant frameworks */
#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>

#import <TCFoundationExtensions/TCFoundationExtensions.h>
#import <TCNetworking/TCNetworking.h>

// for windows weirdness
#if defined(WIN32)
#undef IRC_EXPORT
#define IRC_EXPORT __declspec(dllimport) extern
#endif

#if !defined(IRC_EXPORT)
#define IRC_EXPORT extern
#endif

/* Category extensions */
#import "NSString+IRCUtilities.h"
#import "NSArray+IRCUtilities.h"

/* Framework core */
#import "IRCModel.h"
#import "IRCChannel.h"
#import "IRCEvent.h"
#import "IRCEventProcessor.h"
#import "IRCServer.h"
#import "IRCUser.h"

/* Additional definitions */
#define IRCFrameworkVersion	@"0.9 June 1998"

#define IRCEmptyStringIfNil(x)	(x ? x : @"")

@protocol IRCApp
- (NSArray *)servers;
- (NSString *)applicationVersion;
@end

IRC_EXPORT id <IRCApp> IRCApp;

IRC_EXPORT void IRCSetApplicationObject(id anObject);
