/*
 * IRCModel.h
 * Abstract data model for IRC objects.
 *
 * Copyright (c) 1998 21st Century Software, New York City.
 *
 * See the file Reference/License.rtf for information on usage and
 * redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * Written by David Young <dwy@ace.net>, 1998.
 */

IRC_EXPORT NSString *IRCModelDidChangeNotification;

@interface IRCModel : NSObject
{
    NSMutableDictionary *_metaData;
}

/* Accessing object metadata */
- (NSMutableDictionary *)metaData;

/* Registers a change by posting "%@DidChangeNotification", where %@ is the class name */
- (void)registerInternalChangeWithNotificationCenter;

@end
