/*
 * IRCModel.m
 * Abstract data model for IRC objects.
 *
 * Copyright (c) 1998 21st Century Software, New York City.
 *
 * See the file Reference/License.rtf for information on usage and
 * redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * Written by David Young <dwy@ace.net>, 1998.
 */

#import "IRC.h"

#define IRCModelClassVersion		1

@implementation IRCModel

- init
{
    if (self = [super init]) {
        _metaData = [[NSMutableDictionary alloc] init];
    }

    return self;
}

- (NSMutableDictionary *)metaData
{
    return _metaData;
}

- (void)registerInternalChangeWithNotificationCenter
{
    NSString *notificationName = [NSString stringWithFormat:@"%@DidChangeNotification",
        [[self class] description]];
    NSNotification *notification = [NSNotification notificationWithName:notificationName
                                                                 object:self];

    [[NSNotificationQueue defaultQueue] enqueueNotification:notification
                                               postingStyle:NSPostWhenIdle
                                               coalesceMask:NSNotificationCoalescingOnSender
                                                   forModes:[NSArray arrayWithObject:NSDefaultRunLoopMode]];
}

- (void)dealloc
{
    [_metaData release];
    
    [super dealloc];
}

@end
