/*
 * JKApprentice.h
 *.Superclass for main-class for JediKnight sub-modules.
 *
 * Copyright (c) 1998 21st Century Software, New York City.
 *
 * See the file Reference/License.rtf for information on usage and
 * redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * Written by David Young <dwy@ace.net>, 1998.
 */

@class NSObject, NSBundle;
@class JKMaster;

@interface JKApprentice : NSObject <NSCopying>
{
    JKMaster *_master;
    NSBundle *_bundle;

    NSMutableDictionary *_imageCache;
}

- (id)initWithMaster:(JKMaster *)master bundle:(NSBundle *)bundle;

- (NSMenuItem *)registerApprenticesMenuItemTitle:(NSString *)title target:(id)target action:(SEL)action keyEquivalent:(NSString *)keyEquiv;

- (void)finishLoading;
- (void)cleanupBeforeUnloading;

- (NSImage *)imageNamed:(NSString *)image;

- (JKMaster *)master;
- (NSBundle *)bundle;

@end
