/*
 * JKConsole.h
 *.Extension which maintains a global IRC console.
 *
 * Copyright (c) 1998 21st Century Software, New York City.
 *
 * See the file Reference/License.rtf for information on usage and
 * redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * Written by David Young <dwy@ace.net>, 1998.
 */

@class JKMaster, JKApprentice;

@interface JKConsole : JKApprentice
{
    id	panel;
    id	textView;
    id	radioMatrix;
}

- (void)finishLoading;
- (void)cleanupBeforeUnloading;

- (void)clearTextView:(id)sender;
- (void)radioMatrixSelectionDidChange:(id)sender;

- (NSTextView *)textView;

- (void)orderFrontFindPanel:(id)sender;
- (void)findNext:(id)sender;
- (void)findPrevious:(id)sender;
- (void)enterSelection:(id)sender;
- (void)jumpToSelection:(id)sender;

@end
