@class NSString;

JEDIKNIGHT_EXPORT NSString *JKInputManagerDefaultCommandCharacter;

typedef enum {
    JKInterpretedNoCommand,
    JKInterpretedCommand,
    JKInterpretedInvalidCommand
} JKInterpretationResult;

@interface JKInputManager : NSObject
{
    NSString *_commandCharacter;
    NSMutableDictionary *_invocationDictionary;
    NSMutableDictionary *_privacyDictionary;
}

+ (JKInputManager *)defaultInputManager;

- (NSString *)commandCharacter;
- (void)setCommandCharacter:(NSString *)commandCharacter;

- (JKInterpretationResult)interpretCommand:(NSString *)aString privateOwner:(id)anObject;

- (void)registerCommandName:(NSString *)commandName target:(id)anObject selector:(SEL)selector isPrivate:(BOOL)privateFlag;

@end
