@interface JKInspector : TCPanelController
{
    id switchView;
    id usersViewContainer;
    id informationViewContainer;
    id banListViewContainer;
    
    id tableView;
    id operationsPopUp;
    id flagsForm;
    id flagsMatrix;
    id serverTextField;
    id topicSetAtTextField;
    id topicSetByTextField;
    id applyButton;
    id userInfoMatrix;

    id banBrowser;
    id banPanel;
    id orderFrontBanPanelButton;
    id addBanButton;
    id addBanField;
    id removeBanButton;

    id setTopicPanel;
    id setTopicField;
    id setTopicButton;

    IRCChannel *_inspectedChannel;
    IRCUser *_selectedUser;
    
    NSImage *_userIsNothingImage;
    NSImage *_userIsChannelOperatorImage;
    NSImage *_userIsVoicedImage;
}

+ (JKInspector *)sharedInspector;

- (void)switchViews:(id)sender;

- (void)channelModeBoxesDidChange:(id)sender;
- (void)applyChannelModeChanges:(id)sender;

- (void)giveOperator:(id)sender;
- (void)removeOperator:(id)sender;
- (void)giveModerator:(id)sender;
- (void)removeModerator:(id)sender;

- (void)kickFromChannel:(id)sender;
- (void)banFromChannel:(id)sender;

- (void)openPrivateConversation:(id)sender;

- (void)orderFrontSetTopicPanel:(id)sender;
- (void)orderFrontBanPanel:(id)sender;
- (void)banPanelAddButtonClicked:(id)sender;
- (void)removeSelectedBan:(id)sender;
- (void)browserSelectionDidChange:(id)sender;

- (void)setTopicButtonClicked:(id)sender;

- (void)inspectedUserDidChange:(id)sender;
- (void)inspectedChannelDidChange:(NSNotification *)notification;

@end
