@class NSObject;
@class IRCServer;
@class JKChannelDocument, JKQueryDocument;

JEDIKNIGHT_EXPORT NSString *JKLastSavedRepresentationNameItemKey;
JEDIKNIGHT_EXPORT NSString *JKPathComponent;
JEDIKNIGHT_EXPORT NSString *JKApprenticeExtension;
JEDIKNIGHT_EXPORT NSString *JKSavedRepresentationExtension;

@interface JKMaster : NSObject <IRCApp>
{
    id apprenticesMenu;
    id openPanelForm;
    id helpTextField;

    id nickChangePanel;
    id nickTextField;
    id nickInfoField;

    id addBanMenuItem;
    id setTopicMenuItem;

    NSArray *_apprentices;
    IRCServer *_server;
    NSMutableDictionary *_channelDocuments;
    NSMutableDictionary *_queryDocuments;
}

+ (JKMaster *)jediMaster;

+ (NSString *)defaultServer;
+ (NSString *)defaultPort;
+ (NSString *)defaultNickname;
+ (NSString *)defaultUserInfo;

- (NSArray *)servers;
- (NSArray *)apprentices;

- (NSDictionary *)channelDocuments;
- (NSDictionary *)queryDocuments;

- (void)addChannelDocument:(JKChannelDocument *)channelDocument;
- (void)addQueryDocument:(JKQueryDocument *)queryDocument;

- (void)connectionPanelOk:(id)sender;
- (void)disconnect:(id)sender;

- (void)orderFrontNewConnectionPanel:(id)sender;
- (void)orderFrontChannelsPanel:(id)sender;
- (void)orderFrontInspector:(id)sender;
- (void)orderFrontNickChangePanel:(id)sender;

- (void)nickChangeOkClicked:(id)sender;

- (void)openRepresentation:(id)sender;
- (void)saveRepresentation:(id)sender;
- (void)saveRepresentationAs:(id)sender;

- (NSMenu *)apprenticesMenu;

@end
