@class NSString, NSTextView;

@interface JKOutputManager : NSObject
{
    NSTextView *_textView;

    NSString *_messageOutputFormat;
    NSString *_spokenMessageOutputPrefix;
    NSString *_errorOutputPrefix;
    NSString *_actionOutputFormat;
    NSString *_actedActionOutputPrefix;
    NSString *_noticeOutputFormat;

    BOOL _prependNewline;
}

+ (NSString *)defaultMessageOutputFormat;
+ (NSString *)defaultSpokenMessageOutputPrefix;
+ (NSString *)defaultErrorOutputPrefix;
+ (NSString *)defaultActionOutputFormat;
+ (NSString *)defaultActedActionOutputPrefix;
+ (NSString *)defaultNoticeOutputFormat;

+ (JKOutputManager *)outputManagerWithTextView:(NSTextView *)textView;
- (id)initWithTextView:(NSTextView *)textView;

- (void)setPrependNewline:(BOOL)flag;

- (void)appendMessage:(NSString *)message speaker:(NSString *)speaker;
- (void)appendSpokenMessage:(NSString *)spokenMessage;
- (void)appendClientMessage:(NSString *)error, ...;
- (void)appendAction:(NSString *)action actor:(NSString *)actor;
- (void)appendActedAction:(NSString *)action actor:(NSString *)actor;
- (void)appendNotice:(NSString *)notice speaker:(NSString *)speaker;

@end
