#import "JediKnight.h"

DEFINE_NSSTRING(JKQueryDocumentDidCreateNotification);
DEFINE_NSSTRING(JKQueryDocumentDidBecomeMainNotification);
DEFINE_NSSTRING(JKQueryDocumentWillCloseNotification);

@implementation JKQueryDocument

+ (JKQueryDocument *)queryDocumentWithUser:(IRCUser *)user;
{
    return [[(JKQueryDocument *)[self alloc] initWithUser:user] autorelease];
}

- (id)initWithUser:(IRCUser *)user
{
    if (self = [super initWithServer:[user server] target:user]) {
        [window setTitle:[NSString stringWithFormat:@"Talking to %@", [user nickname]]];
        [window makeKeyAndOrderFront:nil];
    }

    return self;
}

- (IRCUser *)user
{
    return _target;
}

- (void)serverDidPRIVMSG:(IRCServer *)server event:(IRCEvent *)event
{
    if ([_server isEqual:server]) {
        if ([[[event prefix] nicknameComponent] isEqualToStringIgnoringCase:[_target name]] &&
            [[[event arguments] objectAtIndex:0] isEqualToStringIgnoringCase:[[_server localUser] nickname]]) {
            NSString *message = [[event arguments] objectAtIndex:1];

            if (![message hasPrefix:IRCCTCPDelimiterCharacter]) {
                [_outputManager appendMessage:message speaker:[[event prefix] nicknameComponent]];
                [self textViewUpdateFinished];
            }
        }
    }
}

- (void)serverDidNOTICE:(IRCServer *)server event:(IRCEvent *)event
{
    if ([_server isEqual:server]) {
        if ([[[event prefix] nicknameComponent] isEqualToStringIgnoringCase:[_target name]] &&
            [[[event arguments] objectAtIndex:0] isEqualToStringIgnoringCase:[[_server localUser] nickname]]) {
            NSString *message = [[event arguments] objectAtIndex:1];

            if (![message hasPrefix:IRCCTCPDelimiterCharacter]) {
                [_outputManager appendNotice:message speaker:[[event prefix] nicknameComponent]];
                [self textViewUpdateFinished];
            }
        }
    }
}

- (void)serverDidCTCP:(IRCServer *)server event:(IRCEvent *)event
{
    if ([_server isEqual:server]) {
        if ([[[event prefix] nicknameComponent] isEqualToStringIgnoringCase:[_target name]] &&
            [[[event arguments] objectAtIndex:0] isEqualToStringIgnoringCase:[[_server localUser] nickname]]) {

            if ([[[event arguments] objectAtIndex:1] isEqualToString:@"ACTION"]) {
                [_outputManager appendAction:[[event arguments] objectAtIndex:2]
                                       actor:[[event prefix] nicknameComponent]];
                [self textViewUpdateFinished];
            }
        }
    }
}

- (void)windowWillClose:(NSNotification *)notification
{
}

@end
