#import "IRC.h"

@implementation NSArray (IRCUtilities)

- (IRCUser *)userNamed:(NSString *)name
{
    IRCUser *user;
    NSEnumerator *userEnumerator = [self objectEnumerator];

    while (user = [userEnumerator nextObject])
        if ([[user nickname] isEqualToStringIgnoringCase:name])
            return user;

    return nil;
}

- (BOOL)containsUserNamed:(NSString *)name
{
    return ([self userNamed:name] != nil);
}

- (BOOL)containsStringIgnoringCase:(NSString *)soughtString
{
    NSEnumerator *objectEnumerator = [self objectEnumerator];
    NSString *string;

    while (string = [objectEnumerator nextObject])
        if ([string isEqualToStringIgnoringCase:soughtString])
            return YES;

    return NO;
}

@end
