#import "IRC.h"

@implementation NSString (IRCUtilities)

- (NSString *)nicknameComponent
{
    return [[self componentsSeparatedByString:@"!"] objectAtIndex:0];
}

- (NSString *)userHostComponent
{
    return [[self componentsSeparatedByString:@"!"] objectAtIndex:1];
}

- (NSString *)stringByRemovingUserModeCharacters
{
    NSMutableString *mutableSelf = [self mutableCopy];

    [mutableSelf removeUserModeCharacters];
    return [[mutableSelf copy] autorelease];
}

- (BOOL)isEqualToStringIgnoringCase:(NSString *)otherString
{
    if (otherString == nil)
        return NO;
    
    return ([self compare:otherString options:NSCaseInsensitiveSearch] == NSOrderedSame);
}

@end

@implementation NSMutableString(IRCUtilities)

- (void)removeUserModeCharacters
{
    while ([self length] > 0) {
        if ([self hasPrefix:IRCUserVoicePrefix])
            [self deleteCharactersInRange:NSMakeRange(0, 1)];
        else if ([self hasPrefix:IRCUserChannelOperatorPrefix])
            [self deleteCharactersInRange:NSMakeRange(0, 1)];
        else if ([self hasPrefix:IRCUserServerOperatorPrefix])
            [self deleteCharactersInRange:NSMakeRange(0, 1)];
        else
            break;
    }
}

@end
